% Function for Calculating the Cost for 3 DOF Trim
function cost=cost3dof(p)
global Vinf c h

x(2)=p(1); % Alpha in rad
x(3)=0;    % Q=0
[U,theta]=constr3dof(x(2)); % U and theta
x(1)=U;x(4)=theta;
u(1)=p(2); %deltaE (rad)
u(2)=p(3); % Thrust (lbs)
xdot=rates3dof(x,u,0);
cost=c(1)*xdot(1)*xdot(1)+c(2)*xdot(2)*xdot(2)+c(3)*xdot(3)*xdot(3);
