% Navion Lat-Dir NL Simulation

function [y,u,t]=navNLsimLatDir(y0,t0,tf)

t(1)=t0;
y(1,:)=y0;
u(1,1)=1/57.3;u(1,2)=0;  % Aileron 1 deg for 2 sec
uu=u(1,:);
delt=0.05;
k=1;tt=t0;
while tt < tf,
	k=k+1;
	xi=y(k-1,:);
	ti=t(k-1);
	[x,tt]=rk4LatDir('rateslatdir',xi,ti,uu,delt);
	y(k,:)=x;
	u(k,:)=[1/57.3 0];
	if tt >= 2.0,
		u(k,:)=[0 0];
		uu=[0 0];
	end
	t(k)=tt;
end
